Skip to main content

private/otc/get-open-quotes

POST 

/private/otc/get-open-quotes

Get open quotes. Only return active Quotes (status = ACTIVE).

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/otc/get-open-quotes"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    If quote_id or lp_quote_id provided, query ignores time range.
    quote_id string

    System supplied Quote ID; if provided

    lp_quote_id string

    LP supplied Quote ID; if provided

    start_time int64

    Start time in Unix time format (inclusive). Default: end_time - 1 day. Nanosecond recommended for accurate pagination.

    end_time int64

    End time in Unix time format (exclusive). Default: current system timestamp. Nanosecond recommended for accurate pagination.

    limit int32

    Page size (default: 20, max: 200).

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0.
    count int32

    Number of quotes returned

    quote_list object[]
    List of open quotes (status ACTIVE).
  • Array [
  • quote_id string

    System generated unique ID for the quote

    lp_quote_id string

    LP supplied ID for the quote

    quote_req_id string

    System generated unique ID for the quote request

    status string

    Possible values: [ACTIVE]

    ACTIVE

    reason string

    e.g. NO_ERROR

    response_time_ns string

    Unix epoch time when quote was received in nanosecond

    expiry_time_ns string

    Unix epoch time when quote expires in nanosecond

    expire_time_ns string

    Alias for expiry_time_ns (Unix epoch time when quote expires in nanosecond).

    leg_list object[]
  • Array [
  • instrument_name string

    Instrument for this leg, e.g. BTC_USD

    quantity decimal

    Either quantity or notional

    notional decimal

    Either quantity or notional

    bid decimal

    The bid price for the instrument

    ask decimal

    The ask price for the instrument

    type string

    Possible values: [PRICE]

    PRICE. Only present when the quote has pricing (i.e. bid / ask).

  • ]
  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.